# Class: AdminUpdateDiscountRule

[internal](../modules/internal-7.md).AdminUpdateDiscountRule

## Properties

### allocation

• `Optional` **allocation**: [`AllocationType`](../enums/internal.AllocationType.md)

#### Defined in

medusa/dist/api/routes/admin/discounts/update-discount.d.ts:176

___

### conditions

• `Optional` **conditions**: [`AdminUpsertCondition`](internal-7.AdminUpsertCondition.md)[]

#### Defined in

medusa/dist/api/routes/admin/discounts/update-discount.d.ts:177

___

### description

• `Optional` **description**: `string`

#### Defined in

medusa/dist/api/routes/admin/discounts/update-discount.d.ts:174

___

### id

• **id**: `string`

#### Defined in

medusa/dist/api/routes/admin/discounts/update-discount.d.ts:173

___

### value

• `Optional` **value**: `number`

#### Defined in

medusa/dist/api/routes/admin/discounts/update-discount.d.ts:175
